%define upstream_name    Path-Class-File-Lockable
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Lock your files with Path::Class::File
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::NFSLock)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Path::Class::File::Lockable uses simple files to indicate whether a file is
locked or not. It does not use flock(), since that is unstable over NFS.
Effort has been made to avoid race conditions.

Path::Class::File::Lockable is intended for long-standing locks, as in a
Subversion workspace. See SVN::Class for example.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-5.mga8
+ Revision: 1496415
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-4.mga7
+ Revision: 1270482
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1031831
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 951349
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.30.0-1.mga5
+ Revision: 805336
- imported package perl-Path-Class-File-Lockable


* Wed Dec 24 2014 Buchan Milne <buchan> 0.03-1mga
- initial mageia release, generated with cpan2dist
